package test.resource;
import java.io.BufferedReader;

import java.io.InputStream;
import java.io.InputStreamReader;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.NameValuePair;
import org.apache.http.client.HttpClient;
import org.apache.http.client.entity.UrlEncodedFormEntity;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.impl.client.HttpClients;
import org.apache.http.message.BasicNameValuePair;


public class ExecutePost{



	public String execute(String url, Map<String, String> parameters) throws Exception {

		InputStream instream = null;

		HttpClient httpclient = HttpClients.createDefault();
		HttpPost httppost = new HttpPost(url);
		List<NameValuePair> params = new ArrayList<NameValuePair>();
		StringBuilder sb = new StringBuilder();
		
		
		for (Map.Entry<String,String> entry : parameters.entrySet()) {
		    String key = entry.getKey();
		    String value  = entry.getValue();
		    params.add(new BasicNameValuePair(key, value));
		    
		}
		
		httppost.setEntity(new UrlEncodedFormEntity(params, "UTF-8"));
		
		HttpResponse response = httpclient.execute(httppost);
		HttpEntity entity = response.getEntity();

		if (entity != null) {
			instream = entity.getContent();
			BufferedReader rd = new BufferedReader(new InputStreamReader(instream));
			String line;
			while((line = rd.readLine()) != null){
				sb.append(line);

			}
		}
		
		return sb.toString();
	}}