package test.resource;

import org.json.JSONArray;
import org.json.JSONObject;

public abstract class ServletTest {
	
	
	public void runTest()
	{
		try{
			
			if(this.test())
				System.out.println("Test "+ this.getClass().getSimpleName() + " ......pass");
			else
				System.err.println("Test "+ this.getClass().getSimpleName() + " ......fail");
				
		}catch(Exception e)
		{
			e.printStackTrace();
			System.err.println("Test "+ this.getClass().getSimpleName() + " ......fail");
		}
		
		
	}
	
	protected abstract boolean test() throws Exception;
	
	public String domain = "http://localhost:8080/SnailServlet/";
	public abstract String buildUrl();
	
	protected boolean analyse(String result) throws Exception{
		
		
		JSONArray json = new JSONArray(result);
		return json.getJSONObject(1).getBoolean("request");
	}
	
}
